MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025305Open CASCADE[OCCT] OCCT:Visualizationpublic2014-10-01 11:412019-05-15 14:49
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0025305: Visualization, TKOpenGl - support stipple line aspects within built-in GLSL programs
DescriptionTo provide complete replacement to FFP, built-in GLSL programs should support stipple line aspects.
Steps To Reproduce
pload MODELING VISUALIZATION
vcaps -core
vinit View1
vglinfo
vclear
vaxo
box b 1 2 3
vsetdispmode 2
vdisplay b
vfit
TagsNo tags attached.
Test case numberv3d glsl stipple_line
Attached Filespng file icon stipple_OK.png (3,141 bytes) 2015-05-07 11:31
png file icon stipple_KO.png (3,182 bytes) 2015-05-07 11:31

- Relationships
parent of 0026810closedbugmaster Open CASCADE Visualization, TKOpenGl - line is shown without stipple aspect with FFP turned off on OpenGL before 3.2 
parent of 0030705verifiedbugmaster Community Visualization, TKOpenGl - stipple line GLSL error on using OpenGL 2.1 + GL_EXT_gpu_shader4 extension on macOS 
child of 0025282closedbugmaster Open CASCADE Visualization, OpenGl_PrimitiveArray - provide built-in GLSL programs as alternative to FFP 
child of 0025146closedbugmaster Open CASCADE Porting to Android 

-  Notes
(0040861)
git (administrator)
2015-05-13 17:21

Branch CR25305 has been created by isk.

SHA-1: 1fac92e167366b852cf96b984e6e238fa8c80ccc


Detailed log of new commits:

Author: isk
Date: Wed May 13 17:11:35 2015 +0300

    0025305: Visualization, TKOpenGl - support stipple line aspects within built-in GLSL programs
(0040906)
git (administrator)
2015-05-14 15:10

Branch CR25305 has been updated by isk.

SHA-1: 6c3d4d7506e6449d85db9b2793e5fb353c9d6637


Detailed log of new commits:

Author: isk
Date: Thu May 14 15:04:19 2015 +0300

    Cosmetics

Author: isk
Date: Thu May 14 14:02:10 2015 +0300

    Without texture

(0041225)
git (administrator)
2015-05-18 13:19

Branch CR25305 has been updated by isk.

SHA-1: 87253c194869e840d1075354eab44012a6cf5804


Detailed log of new commits:

Author: isk
Date: Mon May 18 13:19:09 2015 +0300

    Set parameters in OpenGl_PrimitiveArray.

Author: isk
Date: Thu May 14 17:01:16 2015 +0300

    Cosmetics

(0041226)
git (administrator)
2015-05-18 13:57

Branch CR25305 has been updated by isk.

SHA-1: cecfb89922f397f28fec31ae5b7cfaed4e0c1b64


Detailed log of new commits:

Author: isk
Date: Mon May 18 13:57:00 2015 +0300

    Cosmetics

(0041229)
git (administrator)
2015-05-18 14:13

Branch CR25305_1 has been created by isk.

SHA-1: 563ea9a3635c533bc1ea2029242f8b059457b182


Detailed log of new commits:

Author: isk
Date: Mon May 18 14:13:40 2015 +0300

    0025305: Visualization, TKOpenGl - support stipple line aspects within built-in GLSL programs
(0041230)
isk (developer)
2015-05-18 14:14
edited on: 2015-05-18 16:33

Dear Kirill,
please review the branch CR25305_1.

(0041231)
git (administrator)
2015-05-18 14:37

Branch CR25305_1 has been updated forcibly by isk.

SHA-1: 0f35f3d79442ba43822c77dd738daf880897c6c9
(0041245)
git (administrator)
2015-05-18 16:30

Branch CR25305_1 has been updated forcibly by isk.

SHA-1: 9563e29ea947c6f6e1e4ed900967028bacb741be
(0041268)
git (administrator)
2015-05-19 12:09

Branch CR25305_1 has been updated by kgv.

SHA-1: e0dd2cacaa6b55377db54fba51b3af2f95a7cd90


Detailed log of new commits:

Author: kgv
Date: Tue May 19 12:09:28 2015 +0300

    add missing checks

(0041269)
kgv (developer)
2015-05-19 12:10

+          aCtx->SetTypeOfLine (anAspectLine->Type());
+          aCtx->SetWidthLine  (anAspectLine->Width());

these lines will not be called in case of no core20fwd support (can be simulated by vcaps -soft).
(0041832)
git (administrator)
2015-06-02 12:19

Branch CR25305_2 has been created by isk.

SHA-1: c041fee71cb1815baf01640be122912736c979d3


Detailed log of new commits:

Author: isk
Date: Tue Jun 2 12:17:45 2015 +0300

    0025305: Visualization, TKOpenGl - support stipple line aspects within built-in GLSL programs
(0041833)
isk (developer)
2015-06-02 12:20

Dear Kirill,
please review the branch CR25305_2.
(0041837)
git (administrator)
2015-06-02 13:48

Branch CR25305_1 has been updated by isk.

SHA-1: df34556212d3e51015a7c58780ebbb639eb05a1c


Detailed log of new commits:

Author: isk
Date: Tue Jun 2 13:47:53 2015 +0300

    Cosmetics

(0041891)
git (administrator)
2015-06-03 10:40

Branch CR25305_3 has been created by kgv.

SHA-1: 7093f7e7761633dbe0ce6602b8f2a5f4b9299b49


Detailed log of new commits:

Author: isk
Date: Wed Jun 3 10:39:58 2015 +0300

    0025305: Visualization, TKOpenGl - support stipple line aspects within built-in GLSL programs
(0041892)
kgv (developer)
2015-06-03 10:46
edited on: 2015-06-03 10:46

Several corrections have been pushed to the branch CR25305_3.
Please process the following remarks:

  //! Bind program for line rendering
  Standard_Boolean BindProgram (const OpenGl_AspectLine*            theAspect,
...
-    const Standard_Integer        aBits    = getProgramBits (theTexture, theHasVertColor);
+    const Standard_Integer        aBits    = getProgramBits (theTexture, theHasVertColor) | OpenGl_PO_StippleLine;


it does not make sense to unconditionally use StippleLine shader for any line.

void OpenGl_PrimitiveArray::drawEdges (const TEL_COLOUR*               theEdgeColour,
...
  anAspectLineOld = theWorkspace->SetAspectLine (theWorkspace->AspectFace (Standard_True)->AspectEdge());


the line aspects are not set within this code path.

void OpenGl_Workspace::ResetAppliedAspect()

it would be better to reset line aspects within this code block (for fixed pipeline).

And push test case for this functionality.

(0041903)
git (administrator)
2015-06-03 15:09

Branch CR25305_3 has been updated by isk.

SHA-1: 336e97fd883a56bb7adbf889f368692a28f4814b


Detailed log of new commits:

Author: isk
Date: Wed Jun 3 15:08:53 2015 +0300

    StippleLine shader is used for dot/dash lines.
    Line aspects is reset in OpenGl_Workspace::ResetAppliedAspect.
    Test case is added.

(0041904)
isk (developer)
2015-06-03 15:09

Dear Kirill,
please review the branch CR25305_3.
(0041905)
git (administrator)
2015-06-03 15:12

Branch CR25305_3 has been updated by isk.

SHA-1: eb4c5cfa95411ab24999179aa91e227d3db7acd4


Detailed log of new commits:

Author: isk
Date: Wed Jun 3 15:12:06 2015 +0300

    Fix

(0041906)
kgv (developer)
2015-06-03 15:19

Dear Ilya,

please extend command vaspects with option to specify line stipple mode and use it instead of "vsetdispmode b 2" in tests/v3d/glsl/stipple_line. The more complex model should be used instead of box.

vcaps -core is no more required to reproduce the original problem - "vcaps -ffp 0" should be sufficient and can be switched in runtime to make snapshots comparing GLSL / no GLSL within the single test case.
(0041934)
git (administrator)
2015-06-04 12:43

Branch CR25305_3 has been updated by isk.

SHA-1: 4023fea52d6f598f22d84b69c024f6a44fc45f68


Detailed log of new commits:

Author: isk
Date: Thu Jun 4 12:30:54 2015 +0300

    Extend command vaspects with option to specify line stipple mode.
    Update test case.

(0041935)
isk (developer)
2015-06-04 12:43

Dear Kirill,
please review the branch CR25305_3.
(0041937)
git (administrator)
2015-06-04 13:41

Branch CR25305_3 has been updated forcibly by isk.

SHA-1: 66bdb78c7086820073aed3e1643c8c4dd05438d6
(0041946)
git (administrator)
2015-06-04 16:10

Branch CR25305_3 has been updated by kgv.

SHA-1: 0c3195495aa5b5278718b6b5a2b28567d9d47518


Detailed log of new commits:

Author: kgv
Date: Thu Jun 4 16:09:56 2015 +0300

    drop vsettypeline and vunsettypeline

(0041949)
git (administrator)
2015-06-04 16:31

Branch CR25305_4 has been created by kgv.

SHA-1: 8463757d52ca0a723e5e6eeef04d6437edcbec00


Detailed log of new commits:

Author: isk
Date: Thu Jun 4 16:30:37 2015 +0300

    0025305: Visualization, TKOpenGl - support stipple line aspects within built-in GLSL programs
    
    OpenGl_LineAttributes - drop display lists for stipple lines.
    OpenGl_Context - add methods OpenGl_Context::SetTypeOfLine() and OpenGl_Context::SetLineWidth() to setup line aspects.
    OpenGl_ShaderManager::prepareStdProgramFlat() - support new bit OpenGl_PO_StippleLine.
    
    vaspects command - add -setlinetype option.
(0041950)
kgv (developer)
2015-06-04 16:32

Please test the patch in branch CR25305_4.
(0041955)
git (administrator)
2015-06-04 18:46

Branch CR25305_4 has been updated forcibly by mkv.

SHA-1: 0c31da3655ff622124ec243637aaabe668a18ab8
(0041964)
mkv (tester)
2015-06-05 11:48

Dear BugMaster,
Branch CR25305_4 was rebased on IR-2015-06-04 of occt git-repository.
SHA-1: 0c31da3655ff622124ec243637aaabe668a18ab8
(0041965)
mkv (tester)
2015-06-05 11:48

Dear BugMaster,
Branch CR25305_4 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms on Release mode.
SHA-1: 0c31da3655ff622124ec243637aaabe668a18ab8

There are following compilation errors:
Linux:
http://jenkins-test-01.nnov.opencascade.com:8080/view/CR25305-4-master/job/CR25305-4-master_build_occt_linux/1/parsed_console/ [^]
...
../../../../src/OpenGl/OpenGl_ShaderManager.cxx:1276:40: error: variable 'const TCollection_ExtendedString aWarnMessage' has initializer but incomplete type
make[2]: *** [OpenGl_ShaderManager.lo] Error 1

Windows:
http://jenkins-test-01.nnov.opencascade.com:8080/view/CR25305-4-master/job/CR25305-4-master_build_occt_windows_64/1/parsed_console/ [^]
...
93>..\..\..\src\OpenGl\OpenGl_ShaderManager.cxx(1276): error C2079: 'aWarnMessage' uses undefined class 'TCollection_ExtendedString' [y:\builds\vc10\CR25305-4-master-occt-64\adm\msvc\vc10\TKOpenGl.vcxproj]
93>..\..\..\src\OpenGl\OpenGl_ShaderManager.cxx(1277): error C2440: 'initializing' : cannot convert from 'const char [48]' to 'int' [y:\builds\vc10\CR25305-4-master-occt-64\adm\msvc\vc10\TKOpenGl.vcxproj]
There is no context in which this conversion is possible
93>..\..\..\src\OpenGl\OpenGl_ShaderManager.cxx(1279): error C2664: 'OpenGl_Context::PushMessage' : cannot convert parameter 5 from 'int' to 'const TCollection_ExtendedString &' [y:\builds\vc10\CR25305-4-master-occt-64\adm\msvc\vc10\TKOpenGl.vcxproj]
Reason: cannot convert from 'int' to 'const TCollection_ExtendedString'
...

MacOS:
http://jenkins-test-01.nnov.opencascade.com:8080/view/CR25305-4-master/job/CR25305-4-master_prepare_build_occt_MacOS/1/parsed_console/ [^]
....
/Users/mnt/tools/WOK680/wok_entities/LOC/dev/CR25305-4-master-occt/src/OpenGl/OpenGl_ShaderManager.cxx:1276:40: error: variable has incomplete type 'const TCollection_ExtendedString'
...
(0041966)
git (administrator)
2015-06-05 12:15

Branch CR25305_4 has been updated by isk.

SHA-1: 7184bc9deee93c0aa0e7b8e939f57818ce7bc81d


Detailed log of new commits:

Author: isk
Date: Fri Jun 5 12:15:20 2015 +0300

    Fix

(0041967)
isk (developer)
2015-06-05 12:16

Dear Kirill,
please review the branch CR25305_4.
(0041968)
kgv (developer)
2015-06-05 12:36

Please re-test the patch.
(0041988)
git (administrator)
2015-06-05 16:04

Branch CR25305_4 has been updated forcibly by apv.

SHA-1: cacbf2485af62ca0e899ec6cf004372411da9571
(0041989)
apv (tester)
2015-06-05 16:05

Branch CR25305_4 has been rebased on the current master.
(0042017)
apv (tester)
2015-06-08 12:58

Dear BugMaster,

Branch CR25405_4 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: cacbf2485af62ca0e899ec6cf004372411da9571

Number of compiler warnings:
occt component:
   Linux: 27 (25 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 37 (37 on master)
   Windows: 0 (0 on master)
There are new additional warnings on Linux:
1. OpenGl_Context.cxx:2429, GNU C Compiler 4 (gcc), Priority: Normal
enumeration value 'Aspect_TOL_SOLID' not handled in switch [-Wswitch]
2. OpenGl_Context.cxx:2429, GNU C Compiler 4 (gcc), Priority: Normal
enumeration value 'Aspect_TOL_USERDEFINED' not handled in switch [-Wswitch]

Regressions/Differences:
Not detected

Testing cases:
v3d glsl stipple_line - OK
http://occt-tests/CR25305-4-master-occt-64/Debian70-64/v3d/glsl/stipple_line.html [^]
http://occt-tests/CR25305-4-master-occt-64/Windows-64-VC10/v3d/glsl/stipple_line.html [^]

Testing on Linux:
Total MEMORY difference: 97322652 / 97141124 [+0.19%]
Total CPU difference: 18769.61999999984 / 18417.259999999995 [+1.91%]

Testing on Windows:
Total MEMORY difference: 56514195 / 56547584 [-0.06%]
Total CPU difference: 17269.591501799023 / 17214.75715029895 [+0.32%]
(0042024)
git (administrator)
2015-06-08 16:10

Branch CR25305_4 has been updated by isk.

SHA-1: c19d4d13323535f7b78e941f41b9a3b7fa9dd4af


Detailed log of new commits:

Author: isk
Date: Mon Jun 8 16:10:39 2015 +0300

    Fix

Author: isk
Date: Mon Jun 8 13:04:24 2015 +0300

    Merge branch 'CR25305_4' of ssh://git.dev.opencascade.org/occt [^] into CR25305_4

Author: isk
Date: Fri Jun 5 12:15:20 2015 +0300

    Fix

Author: isk
Date: Thu Jun 4 16:30:37 2015 +0300

    0025305: Visualization, TKOpenGl - support stipple line aspects within built-in GLSL programs
    
    OpenGl_LineAttributes - drop display lists for stipple lines.
    OpenGl_Context - add methods OpenGl_Context::SetTypeOfLine() and OpenGl_Context::SetLineWidth() to setup line aspects.
    OpenGl_ShaderManager::prepareStdProgramFlat() - support new bit OpenGl_PO_StippleLine.
    
    vaspects command - add -setlinetype option.

(0042025)
git (administrator)
2015-06-08 16:17

Branch CR25305_5 has been created by isk.

SHA-1: 97baccb8eabe8333c4f3f67b4a859d24ffc2b166


Detailed log of new commits:

Author: isk
Date: Mon Jun 8 16:13:31 2015 +0300

    0025305: Visualization, TKOpenGl - support stipple line aspects within built-in GLSL programs
    
    OpenGl_LineAttributes - drop display lists for stipple lines.
    OpenGl_Context - add methods OpenGl_Context::SetTypeOfLine() and OpenGl_Context::SetLineWidth() to setup line aspects.
    OpenGl_ShaderManager::prepareStdProgramFlat() - support new bit OpenGl_PO_StippleLine.
    
    vaspects command - add -setlinetype option.
(0042026)
isk (developer)
2015-06-08 16:18

Dear Kirill,
please review the branch CR25305_4.
(0042028)
kgv (developer)
2015-06-08 16:22

Please check compilation of patch CR25305_4, regression testing is not needed.
(0042029)
kgv (developer)
2015-06-08 16:22

Please use patch CR25305_5.
(0042057)
apv (tester)
2015-06-09 16:05
edited on: 2015-06-10 11:05

Dear BugMaster,

Branch CR25305_5 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 97baccb8eabe8333c4f3f67b4a859d24ffc2b166

Number of compiler warnings:
occt component:
   Linux: 25 (25 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 37 (37 on master)
   Windows: 0 (0 on master)

(0043485)
git (administrator)
2015-07-27 13:34

Branch CR25305_1 has been deleted by kgv.

SHA-1: df34556212d3e51015a7c58780ebbb639eb05a1c
(0043486)
git (administrator)
2015-07-27 13:34

Branch CR25305_2 has been deleted by kgv.

SHA-1: c041fee71cb1815baf01640be122912736c979d3
(0043487)
git (administrator)
2015-07-27 13:34

Branch CR25305_3 has been deleted by kgv.

SHA-1: 0c3195495aa5b5278718b6b5a2b28567d9d47518
(0043488)
git (administrator)
2015-07-27 13:34

Branch CR25305_4 has been deleted by kgv.

SHA-1: c19d4d13323535f7b78e941f41b9a3b7fa9dd4af
(0043489)
git (administrator)
2015-07-27 13:34

Branch CR25305_5 has been deleted by kgv.

SHA-1: 97baccb8eabe8333c4f3f67b4a859d24ffc2b166
(0043538)
git (administrator)
2015-07-27 13:48

Branch CR25305 has been deleted by kgv.

SHA-1: cecfb89922f397f28fec31ae5b7cfaed4e0c1b64

- Related Changesets
occt: master ac116c22
Timestamp: 2015-06-08 13:13:31
Author: isk
Committer: bugmaster
Details ] Diff ]
0025305: Visualization, TKOpenGl - support stipple line aspects within built-in GLSL programs

OpenGl_LineAttributes - drop display lists for stipple lines.
OpenGl_Context - add methods OpenGl_Context::SetTypeOfLine() and OpenGl_Context::SetLineWidth() to setup line aspects.
OpenGl_ShaderManager::prepareStdProgramFlat() - support new bit OpenGl_PO_StippleLine.

vaspects command - add -setlinetype option.
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver_Layer.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_LineAttributes.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_LineAttributes.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrimitiveArray.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_SetOfShaderPrograms.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderManager.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderManager.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace_5.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
add - tests/v3d/glsl/stipple_line Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-10-01 11:41 kgv New Issue
2014-10-01 11:41 kgv Assigned To => kgv
2014-10-01 11:41 kgv Relationship added child of 0025282
2014-10-01 11:41 kgv Relationship added child of 0025146
2015-05-06 16:21 kgv Assigned To kgv => isk
2015-05-06 16:21 kgv Status new => assigned
2015-05-07 11:30 kgv Steps to Reproduce Updated View Revisions
2015-05-07 11:31 kgv File Added: stipple_OK.png
2015-05-07 11:31 kgv File Added: stipple_KO.png
2015-05-13 17:21 git Note Added: 0040861
2015-05-14 15:10 git Note Added: 0040906
2015-05-18 13:19 git Note Added: 0041225
2015-05-18 13:57 git Note Added: 0041226
2015-05-18 14:13 git Note Added: 0041229
2015-05-18 14:14 isk Note Added: 0041230
2015-05-18 14:14 isk Assigned To isk => kgv
2015-05-18 14:14 isk Status assigned => resolved
2015-05-18 14:37 git Note Added: 0041231
2015-05-18 16:30 git Note Added: 0041245
2015-05-18 16:33 isk Note Edited: 0041230 View Revisions
2015-05-19 12:09 git Note Added: 0041268
2015-05-19 12:10 kgv Note Added: 0041269
2015-05-25 10:01 kgv Assigned To kgv => isk
2015-05-25 10:01 kgv Status resolved => assigned
2015-06-02 12:19 git Note Added: 0041832
2015-06-02 12:20 isk Note Added: 0041833
2015-06-02 12:20 isk Assigned To isk => kgv
2015-06-02 12:20 isk Status assigned => resolved
2015-06-02 13:48 git Note Added: 0041837
2015-06-03 10:40 git Note Added: 0041891
2015-06-03 10:46 kgv Note Added: 0041892
2015-06-03 10:46 kgv Assigned To kgv => isk
2015-06-03 10:46 kgv Status resolved => assigned
2015-06-03 10:46 kgv Product Version => 6.9.0
2015-06-03 10:46 kgv Target Version 7.1.0 => 7.0.0
2015-06-03 10:46 kgv Note Edited: 0041892 View Revisions
2015-06-03 15:09 git Note Added: 0041903
2015-06-03 15:09 isk Note Added: 0041904
2015-06-03 15:09 isk Assigned To isk => kgv
2015-06-03 15:09 isk Status assigned => resolved
2015-06-03 15:12 git Note Added: 0041905
2015-06-03 15:19 kgv Note Added: 0041906
2015-06-03 15:19 kgv Assigned To kgv => isk
2015-06-03 15:19 kgv Status resolved => assigned
2015-06-04 12:43 git Note Added: 0041934
2015-06-04 12:43 isk Note Added: 0041935
2015-06-04 12:43 isk Assigned To isk => kgv
2015-06-04 12:43 isk Status assigned => resolved
2015-06-04 12:53 kgv Assigned To kgv => isk
2015-06-04 12:53 kgv Status resolved => assigned
2015-06-04 13:41 git Note Added: 0041937
2015-06-04 13:42 isk Assigned To isk => kgv
2015-06-04 13:42 isk Status assigned => resolved
2015-06-04 16:10 git Note Added: 0041946
2015-06-04 16:31 git Note Added: 0041949
2015-06-04 16:32 kgv Note Added: 0041950
2015-06-04 16:32 kgv Assigned To kgv => bugmaster
2015-06-04 16:32 kgv Status resolved => reviewed
2015-06-04 17:27 mkv Assigned To bugmaster => mkv
2015-06-04 18:46 git Note Added: 0041955
2015-06-05 11:48 mkv Note Added: 0041964
2015-06-05 11:48 mkv Note Added: 0041965
2015-06-05 11:48 mkv Assigned To mkv => kgv
2015-06-05 11:48 mkv Status reviewed => assigned
2015-06-05 12:15 git Note Added: 0041966
2015-06-05 12:16 isk Note Added: 0041967
2015-06-05 12:16 isk Status assigned => resolved
2015-06-05 12:36 kgv Note Added: 0041968
2015-06-05 12:36 kgv Assigned To kgv => bugmaster
2015-06-05 12:36 kgv Status resolved => reviewed
2015-06-05 15:04 apv Assigned To bugmaster => apv
2015-06-05 16:04 git Note Added: 0041988
2015-06-05 16:05 apv Note Added: 0041989
2015-06-08 12:58 apv Note Added: 0042017
2015-06-08 12:58 apv Assigned To apv => isk
2015-06-08 12:58 apv Status reviewed => assigned
2015-06-08 12:59 apv Test case number => v3d glsl stipple_line
2015-06-08 16:10 git Note Added: 0042024
2015-06-08 16:17 git Note Added: 0042025
2015-06-08 16:18 isk Note Added: 0042026
2015-06-08 16:18 isk Assigned To isk => kgv
2015-06-08 16:18 isk Status assigned => resolved
2015-06-08 16:22 kgv Note Added: 0042028
2015-06-08 16:22 kgv Assigned To kgv => bugmaster
2015-06-08 16:22 kgv Status resolved => reviewed
2015-06-08 16:22 kgv Note Added: 0042029
2015-06-08 16:23 mkv Assigned To bugmaster => mkv
2015-06-08 16:51 apv Assigned To mkv => apv
2015-06-09 16:05 apv Note Added: 0042057
2015-06-09 16:05 apv Assigned To apv => bugmaster
2015-06-09 16:05 apv Status reviewed => tested
2015-06-10 11:05 bugmaster Note Edited: 0042057 View Revisions
2015-06-17 17:51 bugmaster Changeset attached => occt master ac116c22
2015-06-17 17:51 bugmaster Status tested => verified
2015-06-17 17:51 bugmaster Resolution open => fixed
2015-07-27 13:34 git Note Added: 0043485
2015-07-27 13:34 git Note Added: 0043486
2015-07-27 13:34 git Note Added: 0043487
2015-07-27 13:34 git Note Added: 0043488
2015-07-27 13:34 git Note Added: 0043489
2015-07-27 13:48 git Note Added: 0043538
2015-10-24 15:38 kgv Relationship added parent of 0026810
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:49 aiv Status verified => closed
2019-05-13 14:49 kgv Relationship added parent of 0030705
2019-05-15 14:49 kgv Relationship added parent of 0030713


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker